import request from '@/utils/request'

// 查询商家端消息中心列表
export function listNews(query) {
  return request({
    url: '/jn/news/list',
    method: 'get',
    params: query
  })
}

// 查询商家端消息中心详细
export function getNews(id) {
  return request({
    url: '/jn/news/' + id,
    method: 'get'
  })
}

// 新增商家端消息中心
export function addNews(data) {
  return request({
    url: '/jn/news',
    method: 'post',
    data: data
  })
}

// 修改商家端消息中心
export function updateNews(data) {
  return request({
    url: '/jn/news',
    method: 'put',
    data: data
  })
}

// 删除商家端消息中心
export function delNews(id) {
  return request({
    url: '/jn/news/' + id,
    method: 'delete'
  })
}

// 根据商家id清空该商家所有的消息
export function deleteShopId(id) {
  return request({
    url: '/jn/news/deleteShopId/' + id,
    method: 'get'
  })
}

// 根据商家id查询该商家所有的消息
export function shopIdlist(params) {
  return request({
    url: '/jn/news/shopIdlist',
    method: 'get',
	params
  })
}

// 某条商家端消息进行已读
export function getInfoShop(id) {
  return request({
    url: '/jn/news/getInfoShop/' + id,
    method: 'get'
  })
}

// 根据商家id查询未读消息个数
export function isLookCount(id) {
  return request({
    url: '/jn/news/isLookCount/' + id,
    method: 'get'
  })
}